﻿using Orchard.ContentManagement;
using Orchard.ContentManagement.Records;
using Orchard.Environment.Extensions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Breakout.NavigationExtensions.Models
{
    [OrchardFeature("Breakout.NavigationExtensions.MenuItemLayerRules")]
    public class MenuItemLayerRulePart : ContentPart<MenuItemLayerRulePartRecord>
    {
        public string LayerRule 
        {
            get { return Record.LayerRule; } 
            set { Record.LayerRule = value; } 
        }

        public string ChildrenLayerRule
        {
            get { return Record.ChildrenLayerRule; }
            set { Record.ChildrenLayerRule = value; }
        }
    }
}